Bug 100678 - The LaTeX listings package is broken is tetex-latex-1.0.7
The LaTeX listings package is broken is tetex-latex-1.0.7
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
GinGin64
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 05:41 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-24 05:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-24 05:41:33 EDT
Description of problem:
The LaTeX listings package of tetex-latex-1.0.7 is a broken version

Version-Release number of selected component (if applicable): 1.0.7


How reproducible:
Run the following tex file (latex bug.tex)
-------------------bug.tex--------------------------
\documentclass[a4paper,12pt,openright]{book}
\usepackage{listings}

\begin{document}

\begin{lstlisting}[caption={this is the caption},label=code1]
This shold be some code
\end{lstlisting}

\end{document}
-----------------------------------------------------

Steps to Reproduce:
1. Save the file as bug.tex
2. Run: latex bug.tex
    
Actual results:

(This output is obtained using the version of listings contained in the
tetex-latex rpm)

[lombardo ]$ latex bug.tex
This is TeX, Version 3.14159 (Web2C 7.3.1)
(bug.tex
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, i
talian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/book.cls
Document Class: book 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/bk12.clo))
(/usr/share/texmf/tex/latex/listings/listings.sty
(/usr/share/texmf/tex/latex/graphics/keyval.sty)
(/usr/share/texmf/tex/latex/listings/lstmisc.sty)
(/usr/share/texmf/tex/latex/listings/listings.cfg))
No file bug.aux.

! Package Listings Error: Oops! It seems you've forgotten the argument to
(Listings)                a listing environment. Assuming empty argument.

See the Listings package documentation for explanation.
Type  H <return>  for immediate help.
 ...

l.6 ...[caption={this is the caption},label=code1]

?

! Package keyval Error: label undefined.

See the keyval package documentation for explanation.
Type  H <return>  for immediate help.
 ...

l.6 ...[caption={this is the caption},label=code1]

?

Package Listings Warning: Text dropped after begin of listing on input line 7.

[1] (bug.aux) )
Output written on bug.dvi (1 page, 252 bytes).
Transcript written on bug.log.


Expected results:

-> Correct compilation by latex
(This output was produced by using the 2003/06/21 version 1.1 of the listings
package).

[lombardo ]$ latex bug.tex
This is TeX, Version 3.14159 (Web2C 7.3.1)
(bug.tex
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, i
talian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/book.cls
Document Class: book 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/bk12.clo))
(/usr/share/texmf/tex/latex/listings/listings.sty
(/usr/share/texmf/tex/latex/graphics/keyval.sty)
(/usr/share/texmf/tex/latex/listings/lstmisc.sty)
(/usr/share/texmf/tex/latex/listings/listings.cfg)) (bug.aux) [1] (bug.aux) )
Output written on bug.dvi (1 page, 344 bytes).
Transcript written on bug.log.

Additional info:

The correct and up-to-date version of the listings packages can be found at:
http://www.ctan.org/tex-archive/macros/latex/contrib/supported/listings/?action=/tex-archive/macros/latex/contrib/supported/

Note You need to log in before you can comment on or make changes to this bug.